From 4037de267a30082b67cb9584718ebbabc83d4c0c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 01 2020 05:51:51 +0000
Subject: [PATCH 503/2232] Use a better constant string idiom in test


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 9751969..21637d8 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -10,7 +10,7 @@ extern "C" bool cxx_test_suite_r_is_correct(const tests::R *) noexcept;
 
 namespace tests {
 
-const char *SLICE_DATA = "2020";
+static constexpr char SLICE_DATA[] = "2020";
 
 C::C(size_t n) : n(n) {}
 
@@ -51,7 +51,8 @@ rust::Str c_return_str(const Shared &shared) {
 
 rust::Slice<uint8_t> c_return_sliceu8(const Shared &shared) {
   (void)shared;
-  return rust::Slice<uint8_t>(reinterpret_cast<const uint8_t *>(SLICE_DATA), 5);
+  return rust::Slice<uint8_t>(reinterpret_cast<const uint8_t *>(SLICE_DATA),
+                              sizeof(SLICE_DATA));
 }
 
 rust::String c_return_rust_string() { return "2020"; }
@@ -320,8 +321,8 @@ extern "C" const char *cxx_run_test() noexcept {
   r_take_unique_ptr(std::unique_ptr<C>(new C{2020}));
   r_take_ref_c(C{2020});
   r_take_str(rust::Str("2020"));
-  r_take_sliceu8(
-      rust::Slice<uint8_t>(reinterpret_cast<const uint8_t *>(SLICE_DATA), 5));
+  r_take_sliceu8(rust::Slice<uint8_t>(
+      reinterpret_cast<const uint8_t *>(SLICE_DATA), sizeof(SLICE_DATA)));
   r_take_rust_string(rust::String("2020"));
   r_take_unique_ptr_string(
       std::unique_ptr<std::string>(new std::string("2020")));

